package de.hszg.fei.textviewBeispiel;

import java.text.DecimalFormat;
import java.text.NumberFormat;

import android.content.Context;
import android.util.AttributeSet;
import android.widget.TextView;

public class NumberView extends TextView {
	
	private double       number;
	private int          precision;
	private NumberFormat format;

	public NumberView(Context context) {
		super(context);
		init();
	}

	public NumberView(Context context, AttributeSet attrs) {
		super(context, attrs);
		init();
	}

	public NumberView(Context context, AttributeSet attrs, int defStyle) {
		super(context, attrs, defStyle);
		init();
	}
	
	private void init() {
		this.number = 0.0;
		this.format = new DecimalFormat();
		this.setPrecision(2);
	}
	
	public void setPrecision(int precision) {
		this.precision = precision;
		this.format.setMaximumFractionDigits(precision);
		this.format.setMinimumFractionDigits(precision);
		this.formatDouble();
	}
	
	public int getPrecision() {
		return this.precision;
	}
	
	public void setDouble(double d) {
		this.number = d;
		this.formatDouble();
	}
	
	private void formatDouble() {
		this.setText(this.format.format(this.number));
	}

}
